public static class QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
apiId
The ID of the API.
|
String |
apiName
The name of the API.
|
String |
clientIp
The IP address of the client that sent the request.
|
String |
clientNonce
The X-Ca-Nonce header included in the request from the client.
|
String |
consumerAppId
The ID of the application from which an API request is sent.
|
String |
consumerAppKey
The application key used by the caller.
|
String |
customTraceId
The ID of the custom trace.
|
String |
domain
The requested domain name.
|
String |
errorCode
The error code.
|
String |
errorMessage
The error message returned if the request fails.
|
String |
exception
The specific error message that was returned by the backend service.
|
String |
groupId
The ID of the group to which the API belongs.
|
String |
groupName
The name of the API group.
|
String |
httpMethod
The HTTP method used to send the request.
|
String |
httpPath
The path of the request.
|
String |
initialRequestId
The initial request ID when API Gateway calls an API.
|
String |
instanceId
The ID of the gateway instance to which the API belongs.
|
String |
jwtClaims
The JSON web token (JWT) claims.
|
String |
plugin
The list of plug-ins hit by the request and the relevant context.
|
String |
region
The ID of the region.
|
String |
requestBody
The request body.
|
String |
requestHeaders
The request headers.
|
String |
requestId
The ID of the request.
|
String |
requestProtocol
The protocol used by the client to send the request.
|
String |
requestQueryString
The query string for the request.
|
String |
requestSize
The size of the request.
|
String |
requestTime
The request time.
|
String |
responseBody
The response body.
|
String |
responseHeaders
The response headers.
|
String |
responseSize
The size of returned data.
|
String |
serviceLatency
The total time that was consumed to access backend resources.
|
String |
stageId
The ID of the API environment.
|
String |
stageName
The name of the API environment.
|
String |
statusCode
The HTTP status code.
|
String |
totalLatency
The total period of time that the request consumed.
|
@NameInMap(value="ApiId") public String apiId
The ID of the API.
@NameInMap(value="ApiName") public String apiName
The name of the API.
@NameInMap(value="ClientIp") public String clientIp
The IP address of the client that sent the request.
@NameInMap(value="ClientNonce") public String clientNonce
The X-Ca-Nonce header included in the request from the client.
@NameInMap(value="ConsumerAppId") public String consumerAppId
The ID of the application from which an API request is sent.
@NameInMap(value="ConsumerAppKey") public String consumerAppKey
The application key used by the caller.
@NameInMap(value="CustomTraceId") public String customTraceId
The ID of the custom trace.
@NameInMap(value="Domain") public String domain
The requested domain name.
@NameInMap(value="ErrorCode") public String errorCode
The error code.
@NameInMap(value="ErrorMessage") public String errorMessage
The error message returned if the request fails.
@NameInMap(value="Exception") public String exception
The specific error message that was returned by the backend service.
@NameInMap(value="GroupId") public String groupId
The ID of the group to which the API belongs.
@NameInMap(value="GroupName") public String groupName
The name of the API group.
@NameInMap(value="HttpMethod") public String httpMethod
The HTTP method used to send the request.
@NameInMap(value="HttpPath") public String httpPath
The path of the request.
@NameInMap(value="InitialRequestId") public String initialRequestId
The initial request ID when API Gateway calls an API. For example, if API-1 calls API-2, initialRequestId in the log of API-2 represents the ID of the request from API-1.
@NameInMap(value="InstanceId") public String instanceId
The ID of the gateway instance to which the API belongs.
@NameInMap(value="JwtClaims") public String jwtClaims
The JSON web token (JWT) claims. The claims can be configured at the group level.
@NameInMap(value="Region") public String region
The ID of the region.
@NameInMap(value="RequestBody") public String requestBody
The request body. The maximum size of the request body is 1,024 bytes.
@NameInMap(value="RequestHeaders") public String requestHeaders
The request headers.
@NameInMap(value="RequestId") public String requestId
The ID of the request.
@NameInMap(value="RequestProtocol") public String requestProtocol
The protocol used by the client to send the request. Valid values: HTTP, HTTPS, and WS.
@NameInMap(value="RequestQueryString") public String requestQueryString
The query string for the request.
@NameInMap(value="RequestSize") public String requestSize
The size of the request. Unit: bytes.
@NameInMap(value="RequestTime") public String requestTime
The request time. The time is displayed in UTC.
@NameInMap(value="ResponseBody") public String responseBody
The response body. The maximum size of the response body is 1,024 bytes.
@NameInMap(value="ResponseHeaders") public String responseHeaders
The response headers.
@NameInMap(value="ResponseSize") public String responseSize
The size of returned data. Unit: bytes.
@NameInMap(value="ServiceLatency") public String serviceLatency
The total time that was consumed to access backend resources. The total time includes the time consumed to request a connection to the resources, the time consumed to establish the connection, and the time consumed to call the backend service. Unit: milliseconds.
@NameInMap(value="StageId") public String stageId
The ID of the API environment.
@NameInMap(value="StageName") public String stageName
The name of the API environment.
@NameInMap(value="StatusCode") public String statusCode
The HTTP status code.
@NameInMap(value="TotalLatency") public String totalLatency
The total period of time that the request consumed. Unit: milliseconds.
@NameInMap(value="plugin") public String plugin
The list of plug-ins hit by the request and the relevant context.
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog()
public static QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog build(Map<String,?> map) throws Exception
Exceptionpublic QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setApiId(String apiId)
public String getApiId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setApiName(String apiName)
public String getApiName()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setClientIp(String clientIp)
public String getClientIp()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setClientNonce(String clientNonce)
public String getClientNonce()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setConsumerAppId(String consumerAppId)
public String getConsumerAppId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setConsumerAppKey(String consumerAppKey)
public String getConsumerAppKey()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setCustomTraceId(String customTraceId)
public String getCustomTraceId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setDomain(String domain)
public String getDomain()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setErrorCode(String errorCode)
public String getErrorCode()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setErrorMessage(String errorMessage)
public String getErrorMessage()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setException(String exception)
public String getException()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setGroupId(String groupId)
public String getGroupId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setGroupName(String groupName)
public String getGroupName()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setHttpMethod(String httpMethod)
public String getHttpMethod()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setHttpPath(String httpPath)
public String getHttpPath()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setInitialRequestId(String initialRequestId)
public String getInitialRequestId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setInstanceId(String instanceId)
public String getInstanceId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setJwtClaims(String jwtClaims)
public String getJwtClaims()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRegion(String region)
public String getRegion()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestBody(String requestBody)
public String getRequestBody()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestHeaders(String requestHeaders)
public String getRequestHeaders()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestId(String requestId)
public String getRequestId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestProtocol(String requestProtocol)
public String getRequestProtocol()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestQueryString(String requestQueryString)
public String getRequestQueryString()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestSize(String requestSize)
public String getRequestSize()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setRequestTime(String requestTime)
public String getRequestTime()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setResponseBody(String responseBody)
public String getResponseBody()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setResponseHeaders(String responseHeaders)
public String getResponseHeaders()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setResponseSize(String responseSize)
public String getResponseSize()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setServiceLatency(String serviceLatency)
public String getServiceLatency()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setStageId(String stageId)
public String getStageId()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setStageName(String stageName)
public String getStageName()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setStatusCode(String statusCode)
public String getStatusCode()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setTotalLatency(String totalLatency)
public String getTotalLatency()
public QueryRequestLogsResponseBody.QueryRequestLogsResponseBodyRequestLogsRequestLog setPlugin(String plugin)
public String getPlugin()
Copyright © 2023. All rights reserved.